import { type HelmExecutionBuilder } from '../../execution/helm-execution-builder.js';
import { type HelmRequest } from '../helm-request.js';
/**
 * A request to update the dependencies of a Helm chart.
 */
export declare class ChartDependencyUpdateRequest implements HelmRequest {
    readonly chartName: string;
    constructor(chartName: string);
    apply(builder: HelmExecutionBuilder): void;
}
